unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    DateTimePicker1: TDateTimePicker;
    Label1: TLabel;
    procedure DateTimePicker1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.DateTimePicker1Change(Sender: TObject);
var d,m,r:word;
    s:string;
begin
  DecodeDate(DateTimePicker1.Date,r,m,d);
  case m of
   1: s:=' stycznia ';
   2: s:=' lutego ';
   3: s:=' marca ';
   4: s:=' kwietnia ';
   5: s:=' maja ';
   6: s:=' czerwca ';
   7: s:=' lipca ';
   8: s:=' sierpnia ';
   9: s:=' września ';
  10: s:=' października ';
  11: s:=' listopada ';
  12: s:=' grudnia ';
  end;
  Label1.Caption:='Wybrano datę: '+IntToStr(d)+s+Inttostr(r);
  //lub ustawić właściwość DateFormat dfLong
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  DateTimePicker1.Format:='dd.MM.yyyy'; //lub ustawić ten format we właściwości Format
end;

end.
